<?php

/**
 * Widget for rendering a string input, that is, regular text input
 */
class String_Nacomawidget extends Base_Nacomawidget {
	/**
	 * Print text input box
	 *
	 * The optional argument class can be used to override the default class
	 * name.
	 */
	function render($obj, $token, $value, $class=false) {
		if ($class === false) {
			if ($token === 'command_line')
				$class = 'xhuge';
			else
				$class = 'xlarge';
		}
        $readonly='';
        $no_edit='';
        if($token=='hostgroup_name' and $value!='' and is_poller_hostgroup($value)){
                      
           echo "<div id='hostgroup_warning_msg' ><div class='hg-hdr'><img src='images/icons/shield-warning.png' alt=''> Warning</div><div style='padding:8px 10px'>Changing name of poller hostgroup \"$value\" requires additional confiquration in other configuration location</div></div>";
            
           echo "<img class='hostgroup_lock' id='hostname_lock' onclick='hostname_edit(true)' alt='' src='images/icons/lock-close.png' />";

           echo "<img class='hostgroup_lock hide' id='hostname_unlock' onclick='hostname_edit(false)' alt='' src='images/icons/lock-open.png' />";

           echo "<input name='poller' value='1' class='hide'>";
           $readonly='readonly';          
           $no_edit='no_edit';
       }

       echo "<input $readonly type='text' name='".html::specialchars($this->get_id($obj, $token))."' id='".html::specialchars($this->get_id($obj, $token))."' value='".html::specialchars($value)."' class='$class $no_edit'/>\n";

		if ($obj->type==='command' && $token==='command_name') {
			echo "<input type=\"button\" class=\"button syntax-help20\" id=\"syntax_button\" value=\"Syntax help\" title=\"Show syntax help for selected command\" onclick=\"toggle_command_info(this.form);\">";
			echo "<div id=\"commandInfo\"></div>";
		}
	}
}
