function editCheckCommand(f)
{
	var errorMsg = 'Unable to determine ID of selected Check Command';
	var cmdId = $(f).find('select[name$=\\[check_command\\]]').attr('value');

	if (!cmdId){
		alert(errorMsg);
		return false;
	}

	if (!confirm('Are you sure that you wish to leave this form?\nAll unsaved changes will be lost...'))
		return false;
	else
		self.location.search = "?obj_type=command&obj_id=" + cmdId;
}

function toggle_command_info(f)
{
	var f = $(f);
	var cmdId = f.find('select[name$=\\[check_command\\]]').attr('value');
	if (!cmdId)
		cmdId = f.find('[name=clone_id]').attr('value');
	if (!cmdId)
		cmdId = f.find('[name=tmp_obj_id]').attr('value');
	var syntax_button = $('#syntax_button');
	var info = $('#commandInfo');
	if (info.is(':visible')) {
		syntax_button.attr('title', "Show syntax help for selected command");
		syntax_button.attr('value', "Syntax help");
		info.hide();
	} else {
		syntax_button.attr('value', "Fetching syntax help...");
		syntax_button.attr('disabled', 'disabled');
		$.get('_plugin_info.php', data = {'cmdId': cmdId}).done(function(data) {
			info.html(data);
		}).fail(function(xhr, status) {
			info.text("Permission denied...(received HTTP status code " + status + ")");
		}).always(function() {
			syntax_button.attr('title', "Click to hide syntax help");
			syntax_button.attr('value', "Hide syntax help");
			syntax_button.removeAttr('disabled');
			info.show();
		});
	}
}
