<?php

/**
 * FILE related methods and variables
 */
class FILE_nacoma_Model extends naemon_nacoma_Model
{
	/** object type */
	const TYPE = 'FILE';
	var $db_table = 'file_tbl';

	public $properties = array (
		'var_index' => array (
			'file_name' => 'string'
		),
		'default' => array (),
		'special' => array (
			'file_id' => 'FILE'
		),
		'required' => array (
			'file_name'
		),
		'topic' => 'file_name'
	);

	public function mayi_resource()
	{
		return 'monitor.monitoring.config_files';
	}

	function validate_object_identifier()
	{
		// This behavior has been in use for some time,
		// and I'm not changing it right now for fear of
		// breaking live systems.
		return true;
	}
}
